# shellcheck shell=bash
# vim: ft=sh

# Navi
if command -v navi > /dev/null 2>&1; then
	zinit snippet https://github.com/denisidoro/navi/blob/master/shell/navi.plugin.zsh
	function magic-ctrl-g {
		if ! (( $#BUFFER )) && [[ "$CONTEXT" == start ]]; then _navi_widget; fi
	}
	zle -N magic-ctrl-g
	bindkey '^G' magic-ctrl-g
fi

# FZF #{{{
if command -v fzf > /dev/null 2>&1; then
	function magic-ctrl-f {
		if ! (( $#BUFFER )) && [[ "$CONTEXT" == start ]]; then fzf-file-widget; fi
	}
	zle -N magic-ctrl-f
	bindkey '^F' magic-ctrl-f
fi
#}}}

#ZSH_FZF_PASTE_KEY=enter
#ZSH_FZF_EXEC_KEY=ctrl-r
#zinit wait'0' lucid light-mode depth'1' for \
#  atload"bindkey '^H' fzf-history; \
#         bindkey '^Z' fzf-kill-proc-by-list" \
#    amaya382/zsh-fzf-widgets

